import { SourceBase } from "./SourceBase";
export class LiveSts extends SourceBase {
    constructor() {
        super();
        this.nativeGetEncryptionTypeValue = () => {
            return this.mEncryptionType;
        };
        this.nativeSetEncryptionType = (k35) => {
            this.mEncryptionType = k35;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (j35) => {
            this.mSecurityToken = j35;
        };
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (i35) => {
            this.mAccessKeyId = i35;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (h35) => {
            this.mAccessKeySecret = h35;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (g35) => {
            this.mRegion = g35;
        };
        this.nativeGetUrl = () => {
            return this.mUrl;
        };
        this.nativeSetUrl = (f35) => {
            this.mUrl = f35;
        };
        this.nativeGetDomain = () => {
            return this.mDomain;
        };
        this.nativeSetDomain = (e35) => {
            this.mDomain = e35;
        };
        this.nativeGetApp = () => {
            return this.mApp;
        };
        this.nativeSetApp = (d35) => {
            this.mApp = d35;
        };
        this.nativeGetStream = () => {
            return this.mStream;
        };
        this.nativeSetStream = (c35) => {
            this.mStream = c35;
        };
        this.mAccessKeyId = "";
        this.mAccessKeySecret = "";
        this.mSecurityToken = "";
        this.mRegion = "";
        this.mUrl = "";
        this.mDomain = "";
        this.mApp = "";
        this.mStream = "";
        this.mEncryptionType = LiveEncryptionType.NoEncryption;
    }
    getEncryptionTypeValue() {
        return this.mEncryptionType;
    }
    setEncryptionType(j34) {
        this.mEncryptionType = j34;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    setSecurityToken(i34) {
        this.mSecurityToken = i34;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    setAccessKeyId(h34) {
        this.mAccessKeyId = h34;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    setAccessKeySecret(g34) {
        this.mAccessKeySecret = g34;
    }
    getRegion() {
        return this.mRegion;
    }
    setRegion(f34) {
        this.mRegion = f34;
    }
    getUrl() {
        return this.mUrl;
    }
    setUrl(e34) {
        this.mUrl = e34;
    }
    getDomain() {
        return this.mDomain;
    }
    setDomain(d34) {
        this.mDomain = d34;
    }
    getApp() {
        return this.mApp;
    }
    setApp(c34) {
        return this.mApp = c34;
    }
    getStream() {
        return this.mStream;
    }
    setStream(b34) {
        this.mStream = b34;
    }
}
export var LiveEncryptionType;
(function (a34) {
    a34[a34["NoEncryption"] = 0] = "NoEncryption";
    a34[a34["AliEncryption"] = 1] = "AliEncryption";
    a34[a34["WideVine_FairPlay"] = 2] = "WideVine_FairPlay";
})(LiveEncryptionType || (LiveEncryptionType = {}));
